<?php
include "conexion.php";

   if((isset($_POST['codigo'])) && ($_POST['consulta']) == 1){
        $codigo=$_POST['codigo'];
        $sql="SELECT * from personal where codigo='$codigo'";
        $result=mysqli_query($cn,$sql);
        while($mostrar=mysqli_fetch_array($result)){
            $nombres=$mostrar['nombres'];
            $nombres1=$mostrar['nombres1'];
            $apellidos=$mostrar['apellidos'];
            $apellidos1=$mostrar['apellidos1'];
            $cargo=$mostrar['cargo'];
            $departamento=$mostrar['departamento'];
            $codigo_turno=$mostrar['turno'];
        }
        $nombre="$nombres $nombres1 $apellidos $apellidos1";
        $nombre= ucwords(strtolower($nombre));

        $sql="SELECT * FROM `tablas` WHERE `tabla` LIKE 'CARGO' and codigo='$cargo'";
        $result=mysqli_query($cn,$sql);
        while($mostrar=mysqli_fetch_array($result)){
            $nombre_cargo=ucwords(strtolower($mostrar['detalle']));
        }

        $sql="SELECT * FROM `tablas` WHERE `tabla` LIKE 'Departamento' and codigo='$departamento'";
        $result=mysqli_query($cn,$sql);
        while($mostrar=mysqli_fetch_array($result)){
            $nombre_departamento=ucwords(strtolower($mostrar['detalle']));
        }

        //Consulta turno

        if ($codigo_turno==''){
          $horario=''; // Funcionario no tiene turno asignado
        }else{
          $sql="SELECT CONCAT(lun1,'-',lun4) AS lunes, CONCAT(mar1,'-',mar4) AS martes, CONCAT(mie1,'-',mie4) AS miercoles, CONCAT(jue1,'-',jue4) AS jueves, CONCAT(vie1,'-',vie4) AS viernes, CONCAT(sab1,'-',sab4) AS sabado, CONCAT(dom1,'-',dom4) AS domingo FROM `turno` where codigo ='$codigo_turno'" ;
    			$result = mysqli_query($cn,$sql);
    			$mostrar=mysqli_fetch_array($result);

          $array_dias = array('lunes','martes','miercoles','jueves','viernes','sabado','domingo');

          foreach ($array_dias as &$dia ){
            $sql_tipo_dia="SELECT th.codigo_turno, th.$dia AS codigo_dia, thc.tipo_dia from  turno_horario AS th
            left join turno_horario_conceptos AS thc ON th.$dia = thc.codigo_horario where th.codigo_turno = $codigo_turno";
            $result_tipo_dia = mysqli_query($cn,$sql_tipo_dia);
            $mostrar_tipo_dia= mysqli_fetch_array($result_tipo_dia);

            //Construye la impresión de días y sus horarios de trabajo correspondientes con días de descanso y compensatorios
            if(($mostrar[$dia]=='-') || ($mostrar[$dia]=='')){

              switch ($mostrar_tipo_dia['tipo_dia']) {
                case 'C':
                  $tipo_dia='Compensatorio';
                  break;
                case 'D1':
                  $tipo_dia='Primer día de descanso';
                  break;
                case 'D2':
                  $tipo_dia='Segundo día de descanso';
                  break;
                default:
                  $tipo_dia='';
                  break;
              }
              $$dia = ucwords($dia).": ".$tipo_dia."<br>";

            }else{
              $desde=substr($mostrar[$dia],0,2).':'.substr($mostrar[$dia],2,2);
              $hasta=substr($mostrar[$dia],5,2).':'.substr($mostrar[$dia],7,2);
              $$dia= ucwords($dia).": ".$desde." a ".$hasta."<br>";
            }
          }
          $horario=$lunes.$martes.$miercoles.$jueves.$viernes.$sabado.$domingo;
        }
        echo json_encode("$nombre,$nombre_cargo,$nombre_departamento,$codigo_turno,$horario");
    }else{
        if((isset($_POST['codigo'])) && ($_POST['consulta']) == 2){
            $codigo=$_POST['codigo'];
            $sql="SELECT * from novedades where codigo='$codigo' and tipo_novedad='horas_extras'";
            $result=mysqli_query($cn,$sql);
            $json = array();
            while($row = mysqli_fetch_array($result)) {
                $json[] = array(
                'fecha_inicio_novedad' => utf8_encode($row['fecha_inicio_novedad']),
                'hora_ingreso' => substr($row['hora_ingreso'],0,-2),
                'hora_salida' =>  substr($row['hora_salida'],0,-2),
                'autorizado_por' => utf8_encode($row['autorizado_por']),
                'motivo' => utf8_encode($row['motivo'])
                );
            }
            echo json_encode($json);

         }else{
            if((isset($_POST['codigo'])) && ($_POST['consulta']) == 3){
                $codigo=$_POST['codigo'];
                $sql="SELECT * from novedades where codigo='$codigo' and tipo_novedad='Ausencias'";
                $result=mysqli_query($cn,$sql);
                $json = array();
                while($row = mysqli_fetch_array($result)) {
                    if ($row['clase_ausencia']=='fuerza_mayor_aj')
                        $clase_ausencia='Fuerza Mayor AJ';
                    else
                        $clase_ausencia='Otra';

                    $json[] = array(
                    'clase_ausencia' => utf8_encode($clase_ausencia),
                    'fecha_inicio_novedad' => utf8_encode($row['fecha_inicio_novedad']),
                    'fecha_fin_novedad' => utf8_encode($row['fecha_fin_novedad']),
                    'motivo' => utf8_encode($row['motivo']),
                    'remunerado' => utf8_encode($row['remunerado'])
                    );
                }
                echo json_encode($json);

             }else{
                if((isset($_POST['codigo'])) && ($_POST['consulta']) == 4){
                    $codigo=$_POST['codigo'];
                    $sql="SELECT * from novedades where codigo='$codigo' and tipo_novedad='Retardos'";
                    $result=mysqli_query($cn,$sql);
                    $json = array();
                    while($row = mysqli_fetch_array($result)) {
                        $json[] = array(
                        'fecha_inicio_novedad' => utf8_encode($row['fecha_inicio_novedad']),
                        'hora_ingreso' => utf8_encode($row['hora_ingreso']),
                        'hora_salida' => utf8_encode($row['hora_salida']),
                        'motivo' => utf8_encode($row['motivo']),
                        'remunerado' => utf8_encode($row['remunerado'])
                        );
                    }
                    echo json_encode($json);

                 }else{
                    if((isset($_POST['codigo'])) && ($_POST['consulta']) == 5){
                        $codigo=$_POST['codigo'];
                        $sql="SELECT * from novedades where codigo='$codigo' and tipo_novedad='Licencia'";
                        $result=mysqli_query($cn,$sql);
                        $json = array();
                        while($row = mysqli_fetch_array($result)) {
                            $json[] = array(
                            'fecha_inicio_novedad' => utf8_encode($row['fecha_inicio_novedad']),
                            'fecha_fin_novedad' => utf8_encode($row['fecha_fin_novedad']),
                            'tipolicencia' => utf8_encode($row['tipolicencia'])
                            );
                        }
                        echo json_encode($json);

                     }else{
                        if((isset($_POST['codigo'])) && ($_POST['consulta']) == 6){
                            $codigo=$_POST['codigo'];
                            $sql="SELECT * from novedades where codigo='$codigo' and tipo_novedad='salida_anticipada'";
                            $result=mysqli_query($cn,$sql);
                            $json = array();
                            while($row = mysqli_fetch_array($result)) {
                                $json[] = array(
                                'fecha_inicio_novedad' => utf8_encode($row['fecha_inicio_novedad']),
                                'hora_salida' => utf8_encode($row['hora_salida']),
                                'motivo' => utf8_encode($row['motivo'])
                                );
                            }
                            echo json_encode($json);

                         }else{
                             echo json_encode("error");
                         }
                     }
                 }
             }
         }
    }


?>
